<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `/nix/store/kaan79bbbx80h17lcc5ay919l5r6bqlz-vendored-sources/quote-1.0.20/src/format.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>format.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../normalize.css"><link rel="stylesheet" type="text/css" href="../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../storage.js"></script><script defer src="../../source-script.js"></script><script defer src="../../source-files.js"></script><script defer src="../../main.js"></script><noscript><link rel="stylesheet" href="../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../quote/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../quote/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../quote/index.html"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
<span id="44">44</span>
<span id="45">45</span>
<span id="46">46</span>
<span id="47">47</span>
<span id="48">48</span>
<span id="49">49</span>
<span id="50">50</span>
<span id="51">51</span>
<span id="52">52</span>
<span id="53">53</span>
<span id="54">54</span>
<span id="55">55</span>
<span id="56">56</span>
<span id="57">57</span>
<span id="58">58</span>
<span id="59">59</span>
<span id="60">60</span>
<span id="61">61</span>
<span id="62">62</span>
<span id="63">63</span>
<span id="64">64</span>
<span id="65">65</span>
<span id="66">66</span>
<span id="67">67</span>
<span id="68">68</span>
<span id="69">69</span>
<span id="70">70</span>
<span id="71">71</span>
<span id="72">72</span>
<span id="73">73</span>
<span id="74">74</span>
<span id="75">75</span>
<span id="76">76</span>
<span id="77">77</span>
<span id="78">78</span>
<span id="79">79</span>
<span id="80">80</span>
<span id="81">81</span>
<span id="82">82</span>
<span id="83">83</span>
<span id="84">84</span>
<span id="85">85</span>
<span id="86">86</span>
<span id="87">87</span>
<span id="88">88</span>
<span id="89">89</span>
<span id="90">90</span>
<span id="91">91</span>
<span id="92">92</span>
<span id="93">93</span>
<span id="94">94</span>
<span id="95">95</span>
<span id="96">96</span>
<span id="97">97</span>
<span id="98">98</span>
<span id="99">99</span>
<span id="100">100</span>
<span id="101">101</span>
<span id="102">102</span>
<span id="103">103</span>
<span id="104">104</span>
<span id="105">105</span>
<span id="106">106</span>
<span id="107">107</span>
<span id="108">108</span>
<span id="109">109</span>
<span id="110">110</span>
<span id="111">111</span>
<span id="112">112</span>
<span id="113">113</span>
<span id="114">114</span>
<span id="115">115</span>
<span id="116">116</span>
<span id="117">117</span>
<span id="118">118</span>
<span id="119">119</span>
<span id="120">120</span>
<span id="121">121</span>
<span id="122">122</span>
<span id="123">123</span>
<span id="124">124</span>
<span id="125">125</span>
<span id="126">126</span>
<span id="127">127</span>
<span id="128">128</span>
<span id="129">129</span>
<span id="130">130</span>
<span id="131">131</span>
<span id="132">132</span>
<span id="133">133</span>
<span id="134">134</span>
<span id="135">135</span>
<span id="136">136</span>
<span id="137">137</span>
<span id="138">138</span>
<span id="139">139</span>
<span id="140">140</span>
<span id="141">141</span>
<span id="142">142</span>
<span id="143">143</span>
<span id="144">144</span>
<span id="145">145</span>
<span id="146">146</span>
<span id="147">147</span>
<span id="148">148</span>
<span id="149">149</span>
<span id="150">150</span>
<span id="151">151</span>
<span id="152">152</span>
<span id="153">153</span>
<span id="154">154</span>
<span id="155">155</span>
<span id="156">156</span>
<span id="157">157</span>
<span id="158">158</span>
<span id="159">159</span>
<span id="160">160</span>
<span id="161">161</span>
<span id="162">162</span>
<span id="163">163</span>
<span id="164">164</span>
<span id="165">165</span>
<span id="166">166</span>
<span id="167">167</span>
<span id="168">168</span>
</pre><pre class="rust"><code><span class="doccomment">/// Formatting macro for constructing `Ident`s.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// &lt;br&gt;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// # Syntax</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Syntax is copied from the [`format!`] macro, supporting both positional and</span>
<span class="doccomment">/// named arguments.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Only a limited set of formatting traits are supported. The current mapping</span>
<span class="doccomment">/// of format types to traits is:</span>
<span class="doccomment">///</span>
<span class="doccomment">/// * `{}` ⇒ [`IdentFragment`]</span>
<span class="doccomment">/// * `{:o}` ⇒ [`Octal`](std::fmt::Octal)</span>
<span class="doccomment">/// * `{:x}` ⇒ [`LowerHex`](std::fmt::LowerHex)</span>
<span class="doccomment">/// * `{:X}` ⇒ [`UpperHex`](std::fmt::UpperHex)</span>
<span class="doccomment">/// * `{:b}` ⇒ [`Binary`](std::fmt::Binary)</span>
<span class="doccomment">///</span>
<span class="doccomment">/// See [`std::fmt`] for more information.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// &lt;br&gt;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// # IdentFragment</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Unlike `format!`, this macro uses the [`IdentFragment`] formatting trait by</span>
<span class="doccomment">/// default. This trait is like `Display`, with a few differences:</span>
<span class="doccomment">///</span>
<span class="doccomment">/// * `IdentFragment` is only implemented for a limited set of types, such as</span>
<span class="doccomment">///    unsigned integers and strings.</span>
<span class="doccomment">/// * [`Ident`] arguments will have their `r#` prefixes stripped, if present.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// [`IdentFragment`]: crate::IdentFragment</span>
<span class="doccomment">/// [`Ident`]: proc_macro2::Ident</span>
<span class="doccomment">///</span>
<span class="doccomment">/// &lt;br&gt;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// # Hygiene</span>
<span class="doccomment">///</span>
<span class="doccomment">/// The [`Span`] of the first `Ident` argument is used as the span of the final</span>
<span class="doccomment">/// identifier, falling back to [`Span::call_site`] when no identifiers are</span>
<span class="doccomment">/// provided.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// # use quote::format_ident;</span>
<span class="doccomment">/// # let ident = format_ident!(&quot;Ident&quot;);</span>
<span class="doccomment">/// // If `ident` is an Ident, the span of `my_ident` will be inherited from it.</span>
<span class="doccomment">/// let my_ident = format_ident!(&quot;My{}{}&quot;, ident, &quot;IsCool&quot;);</span>
<span class="doccomment">/// assert_eq!(my_ident, &quot;MyIdentIsCool&quot;);</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Alternatively, the span can be overridden by passing the `span` named</span>
<span class="doccomment">/// argument.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// # use quote::format_ident;</span>
<span class="doccomment">/// # const IGNORE_TOKENS: &amp;&#39;static str = stringify! {</span>
<span class="doccomment">/// let my_span = /* ... */;</span>
<span class="doccomment">/// # };</span>
<span class="doccomment">/// # let my_span = proc_macro2::Span::call_site();</span>
<span class="doccomment">/// format_ident!(&quot;MyIdent&quot;, span = my_span);</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">///</span>
<span class="doccomment">/// [`Span`]: proc_macro2::Span</span>
<span class="doccomment">/// [`Span::call_site`]: proc_macro2::Span::call_site</span>
<span class="doccomment">///</span>
<span class="doccomment">/// &lt;p&gt;&lt;br&gt;&lt;/p&gt;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// # Panics</span>
<span class="doccomment">///</span>
<span class="doccomment">/// This method will panic if the resulting formatted string is not a valid</span>
<span class="doccomment">/// identifier.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// &lt;br&gt;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// # Examples</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Composing raw and non-raw identifiers:</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// # use quote::format_ident;</span>
<span class="doccomment">/// let my_ident = format_ident!(&quot;My{}&quot;, &quot;Ident&quot;);</span>
<span class="doccomment">/// assert_eq!(my_ident, &quot;MyIdent&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let raw = format_ident!(&quot;r#Raw&quot;);</span>
<span class="doccomment">/// assert_eq!(raw, &quot;r#Raw&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let my_ident_raw = format_ident!(&quot;{}Is{}&quot;, my_ident, raw);</span>
<span class="doccomment">/// assert_eq!(my_ident_raw, &quot;MyIdentIsRaw&quot;);</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">///</span>
<span class="doccomment">/// Integer formatting options:</span>
<span class="doccomment">/// ```</span>
<span class="doccomment">/// # use quote::format_ident;</span>
<span class="doccomment">/// let num: u32 = 10;</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let decimal = format_ident!(&quot;Id_{}&quot;, num);</span>
<span class="doccomment">/// assert_eq!(decimal, &quot;Id_10&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let octal = format_ident!(&quot;Id_{:o}&quot;, num);</span>
<span class="doccomment">/// assert_eq!(octal, &quot;Id_12&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let binary = format_ident!(&quot;Id_{:b}&quot;, num);</span>
<span class="doccomment">/// assert_eq!(binary, &quot;Id_1010&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let lower_hex = format_ident!(&quot;Id_{:x}&quot;, num);</span>
<span class="doccomment">/// assert_eq!(lower_hex, &quot;Id_a&quot;);</span>
<span class="doccomment">///</span>
<span class="doccomment">/// let upper_hex = format_ident!(&quot;Id_{:X}&quot;, num);</span>
<span class="doccomment">/// assert_eq!(upper_hex, &quot;Id_A&quot;);</span>
<span class="doccomment">/// ```</span>
<span class="attribute">#[<span class="ident">macro_export</span>]</span>
<span class="macro">macro_rules!</span> <span class="ident">format_ident</span> {
    (<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">expr</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::Option::None</span>,
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>
        ])
    };

    (<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::Option::None</span>,
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>
        ] $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>)<span class="kw-2">*</span>)
    };
}

<span class="attribute">#[<span class="ident">macro_export</span>]</span>
<span class="attribute">#[<span class="ident">doc</span>(<span class="ident">hidden</span>)]</span>
<span class="macro">macro_rules!</span> <span class="ident">format_ident_impl</span> {
    <span class="comment">// Final state</span>
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>]) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::mk_ident</span>(
            <span class="kw-2">&amp;</span><span class="macro-nonterminal">$</span><span class="macro">crate::__private::format!</span>($(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>),
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>,
        )
    };

    <span class="comment">// Span argument</span>
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">old</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="ident">span</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">old</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>] <span class="ident">span</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>,)
    };
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">old</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="ident">span</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([
            <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::Option::Some</span>::<span class="op">&lt;</span><span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::Span</span><span class="op">&gt;</span>(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>),
            $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="op">*</span>
        ] $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>)<span class="kw-2">*</span>)
    };

    <span class="comment">// Named argument</span>
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">name</span>:<span class="ident">ident</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>:<span class="ident">expr</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">name</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>,)
    };
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">name</span>:<span class="ident">ident</span> <span class="op">=</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>) =&gt; {
        <span class="kw">match</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::IdentFragmentAdapter</span>(<span class="kw-2">&amp;</span><span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>) {
            <span class="ident">arg</span> =&gt; <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>.<span class="ident">or</span>(<span class="ident">arg</span>.<span class="ident">span</span>()), $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>, <span class="macro-nonterminal">$</span><span class="macro-nonterminal">name</span> <span class="op">=</span> <span class="ident">arg</span>] $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>)<span class="kw-2">*</span>),
        }
    };

    <span class="comment">// Positional argument</span>
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>:<span class="ident">expr</span>) =&gt; {
        <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>,)
    };
    ([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>] <span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>:<span class="ident">expr</span>, $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>:<span class="ident">tt</span>)<span class="kw-2">*</span>) =&gt; {
        <span class="kw">match</span> <span class="macro-nonterminal">$</span><span class="macro-nonterminal">crate::__private::IdentFragmentAdapter</span>(<span class="kw-2">&amp;</span><span class="macro-nonterminal">$</span><span class="macro-nonterminal">arg</span>) {
            <span class="ident">arg</span> =&gt; <span class="macro-nonterminal">$</span><span class="macro">crate::format_ident_impl!</span>([<span class="macro-nonterminal">$</span><span class="macro-nonterminal">span</span>.<span class="ident">or</span>(<span class="ident">arg</span>.<span class="ident">span</span>()), $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">fmt</span>)<span class="kw-2">*</span>, <span class="ident">arg</span>] $(<span class="macro-nonterminal">$</span><span class="macro-nonterminal">rest</span>)<span class="kw-2">*</span>),
        }
    };
}
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../" data-current-crate="quote" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>